/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_itoa_bozo.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/10/04 17:12:52 by erey-bet          #+#    #+#             */
/*   Updated: 2023/03/27 15:48:37 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "utils.h"

int	ft_lltos(char *str, long long n)
{
	long long	v;
	long long	q;
	long long	i;

	i = 0;
	v = n;
	if (n < 0)
	{
		str[i++] = '-';
		v *= -1;
	}
	q = 1;
	while (n / q > 9)
		q *= 10;
	while (q > 0)
	{
		str[i++] = (v / q % 10) + 48;
		q /= 10;
	}
	str[i] = '\0';
	return (i);
}
